#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_custom_target( kxtruby.tar.gz ALL
  COMMAND ${TAR} zcf kxtruby.tar.gz -C ${CMAKE_CURRENT_SOURCE_DIR}
    app.rb main.rb prefs.rb app.cpp appview.rb appview_base.ui
    prefs-base.ui appui.rc app.desktop kxtruby.png app.kdevelop
    app-Makefile.am app-configure.in.in app.kcfg settings.kcfgc
    src-Makefile.am subdirs README
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kxtruby.tar.gz kxtruby.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


install( FILES
    kxtruby.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates )
